Bug 1718600 - Review Request: drat2er - Proof transformer for propositional logic
Summary: Review Request: drat2er - Proof transformer for propositional logic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: catch 1718597 1718598 1718599
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-09 01:28 UTC by Jerry James
Modified: 2019-06-22 01:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-22 01:03:14 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2019-06-09 01:28:01 UTC
Spec URL: https://jjames.fedorapeople.org/drat2er/drat2er.spec
SRPM URL: https://jjames.fedorapeople.org/drat2er/drat2er-0-0.1.20190307.521caf1.fc31.src.rpm
Fedora Account System Username: jjames
Description: Drat2er is a tool for transforming proofs that are usually produced by SAT solvers.  It takes as input a propositional formula (specified in the DIMACS format) together with a DRAT proof (DRAT is the current standard format for proofs in SAT solving), and outputs an extended-resolution proof of the formula in either the TRACECHECK or the DRAT format.  The details of this proof transformation are described in the paper "Extended Resolution Simulates DRAT" (IJCAR 2018).  Note that if drat2er is given as input a DRUP proof, then it transforms this DRUP proof into an ordinary resolution proof.

Comment 1 Robert-André Mauchin 🐧 2019-06-09 14:58:48 UTC
 - s/catch2-devel/catch-devel/

 - Release should be:

Release:        0.1.%{gitdate}git%{shortcommit}%{?dist}

* Thu Jun  6 2019 Jerry James <loganjerry> - 0-0.1.20190307git521caf1


Package approved. Please fix the aforementioned issue before import.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 12 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/drat2er/review-drat2er/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: drat2er-0-0.1.20190307.521caf1.fc31.x86_64.rpm
          drat2er-devel-0-0.1.20190307.521caf1.fc31.x86_64.rpm
          drat2er-tools-0-0.1.20190307.521caf1.fc31.x86_64.rpm
          drat2er-debuginfo-0-0.1.20190307.521caf1.fc31.x86_64.rpm
          drat2er-debugsource-0-0.1.20190307.521caf1.fc31.x86_64.rpm
          drat2er-0-0.1.20190307.521caf1.fc31.src.rpm
drat2er.x86_64: W: no-documentation
drat2er-devel.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Jerry James 2019-06-10 03:11:52 UTC
Thank you again, Robert-André.  I do appreciate all the times you have reviewed packages for me.

(In reply to Robert-André Mauchin from comment #1)
>  - s/catch2-devel/catch-devel/

Fixed in my local copy.

>  - Release should be:
> 
> Release:        0.1.%{gitdate}git%{shortcommit}%{?dist}

As with drat-trim, the existing release field does comply with https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_snapshots.

Comment 3 Gwyn Ciesla 2019-06-10 20:40:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/drat2er

Comment 4 Fedora Update System 2019-06-13 02:09:59 UTC
FEDORA-2019-66b310ba45 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-66b310ba45

Comment 5 Fedora Update System 2019-06-14 02:07:16 UTC
drat2er-0-0.1.20190307.521caf1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-66b310ba45

Comment 6 Fedora Update System 2019-06-22 01:03:14 UTC
drat2er-0-0.1.20190307.521caf1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.